restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

AddItemImage |WebMethod|

Uploads an image, and attaches it to a previously created ItemRequest. Please note that the ItemRequest must be set to AutoCommit == false when request is made.

Parameters
  1. requestId, The request Id of an Item request, created with a call to AddItem or AddItemXml
  2. imageData, The image data, including file headers and so on. Max accepted size: 4MB
  3. imageFormat, The type/format of image being uploaded
  4. hasMega, If the image should have a Mega-image (extra large)

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/AddItemImage"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <AddItemImage xmlns="http://api.tradera.com">
      <requestId>requestId</requestId>
      <imageData>imageData</imageData>
      <imageFormat>imageFormat</imageFormat>
      <hasMega>hasMega</hasMega>
    </AddItemImage>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <AddItemImageResponse xmlns="http://api.tradera.com">
      <AddItemImageResult>result</AddItemImageResult>
    </AddItemImageResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <AddItemImage xmlns="http://api.tradera.com">
      <requestId>requestId</requestId>
      <imageData>imageData</imageData>
      <imageFormat>imageFormat</imageFormat>
      <hasMega>hasMega</hasMega>
    </AddItemImage>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <AddItemImageResponse xmlns="http://api.tradera.com">
      <AddItemImageResult>result</AddItemImageResult>
    </AddItemImageResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/AddItemImage?appId=string&appKey=string&requestId=string&imageData=string&imageFormat=string&hasMega=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<AddItemImageResult xmlns="http://api.tradera.com">result</AddItemImageResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/AddItemImage HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&requestId=string&imageData=string&imageFormat=string&hasMega=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<AddItemImageResult xmlns="http://api.tradera.com">result</AddItemImageResult>